Skip to main content
GET
/
b2b
/
ramp
/
limits
Get Limits
curl --request GET \
  --url https://nexus.kraken.com/b2b/ramp/limits \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "limits": {
      "deposit": {
        "minimum": {
          "asset": "BTC",
          "amount": "1.23",
          "asset_class": "currency"
        },
        "maximum": {
          "asset": "BTC",
          "amount": "1.23",
          "asset_class": "currency"
        }
      },
      "withdrawal": {
        "minimum": {
          "asset": "BTC",
          "amount": "1.23",
          "asset_class": "currency"
        },
        "maximum": {
          "asset": "BTC",
          "amount": "1.23",
          "asset_class": "currency"
        }
      }
    },
    "final_combined": {
      "in_asset": {
        "minimum": {
          "asset": "BTC",
          "amount": "1.23",
          "asset_class": "currency"
        },
        "maximum": {
          "asset": "BTC",
          "amount": "1.23",
          "asset_class": "currency"
        }
      },
      "out_asset": {
        "minimum": {
          "asset": "BTC",
          "amount": "1.23",
          "asset_class": "currency"
        },
        "maximum": {
          "asset": "BTC",
          "amount": "1.23",
          "asset_class": "currency"
        }
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Payward Ramp API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Query Parameters

in_asset
string
required

Fiat asset code for the deposit side (input asset). Use GET /b2b/ramp/fiat-currencies to discover supported fiat currencies.

Maximum string length: 16
in_method
string
required

Funding type used for the fiat deposit side. Use GET /b2b/ramp/payment-methods to discover supported payment methods.

out_asset
string
required

Crypto asset code for the withdrawal side (output asset). Use GET /b2b/ramp/buy/crypto to discover supported crypto assets.

Maximum string length: 16
out_method
string
required

Payward withdrawal method name. Use GET /b2b/ramp/buy/crypto to discover available withdrawal methods for each crypto asset.

country
string
required

ISO 3166-1 alpha-2 country code. Use GET /b2b/ramp/countries to discover supported values.

Maximum string length: 2
subdivision
string

ISO 3166-2 subdivision code suffix (e.g., CA for California when country is US). Use GET /b2b/ramp/countries to discover supported values.

Response

Response

result
object
required